For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Organizations
      • POSTCreate Organization
      • GETGet Organization
      • DELRemove Organization
      • PATCHUpdate Organization
Logo
Log inBook a demo
API ReferenceOrganization

Get Organization

GET
https://app.polytomic.com/api/organizations/:id
GET
/api/organizations/:id
$curl https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "id": "string",
4 "issuer": "https://example.com",
5 "name": "My Organization",
6 "sso_domain": "example.com",
7 "sso_org_id": "123456"
8 }
9}
Returns a single organization by ID. > ๐Ÿšง Requires partner key > > This endpoint is only accessible using [partner keys](../../../guides/obtaining-api-keys#partner-keys). > ๐Ÿ“˜ Credential scope varies by endpoint and API version > > Organization endpoints do not all share the same credential requirements. > Check each endpoint's description for the caller scope that applies in that > API version.
Was this page helpful?
Previous

Remove Organization

Next

Returns a single organization by ID.

๐Ÿšง Requires partner key

This endpoint is only accessible using partner keys.

๐Ÿ“˜ Credential scope varies by endpoint and API version

Organization endpoints do not all share the same credential requirements. Check each endpointโ€™s description for the caller scope that applies in that API version.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the organization.

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error